View Issue Details

IDProjectCategoryView StatusLast Update
0003630Path[FreeCAD] Patchpublic2019-01-23 03:45
ReporterfloppyAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003630: Can't create a new tool
DescriptionIt's not possible to create a new tool.
Steps To ReproduceI go to the menu "Path" -> "Tool Manager".
On the dialog "Tool Library" I press the Button "New Tool".
Next I set up my tool in the "Tool Editor" dialog and press the "OK" button.
Last I am back in on the dialog "Tool Library" without any new content.
No new tools!
Additional InformationWhen I open the dialog "Tool Editor" the svg picture are too big. I can't see the buttons on the bottom (OK/ESC).

I added a fixed size for the icons in file "src/Mod/Path/PathScripts/PathToolEdit.py" (Quick and dirty).

diff --git a/src/Mod/Path/PathScripts/PathToolEdit.py b/src/Mod/Path/PathScripts/PathToolEdit.py
index 75ddb2b..cba869b 100644
--- a/src/Mod/Path/PathScripts/PathToolEdit.py
+++ b/src/Mod/Path/PathScripts/PathToolEdit.py
@@ -66,7 +66,7 @@ class ToolEditorImage(object):
         self.editor = editor
         self.form = editor.form
         self.imagePath = "{}Mod/Path/Images/Tools/{}".format(FreeCAD.getHomePath(), imageFile)
- self.image = QtGui.QPixmap(self.imagePath)
+ self.image = QtGui.QPixmap(self.imagePath).scaled(QtCore.QSize(200, 200), QtCore.Qt.KeepAspectRatio)
         self.hide = hide
         self.disable = disable
TagsPath, python

Relationships

child of 0000995 assignedyorik FreeCAD Python3 compatibility (Ongoing) 

Activities

floppy

2018-10-10 13:28

reporter  

Freecad Tool Editor.png (158,630 bytes)
Freecad Tool Editor.png (158,630 bytes)

Kunda1

2018-10-10 14:55

administrator   ~0011991

thank you for the patch and you effort. Please though consider our guidelines (big yellow banner at the top of the tracker). Example, posting your Help > About FreeCAD > 'Copy to clipboard' info and also opening a forum thread.
 
CC @mlampert

floppy

2018-10-10 19:50

reporter   ~0012000

Sorry, it s my first bug report for freecad.
The missing Inforamtions:

OS: Gentoo/Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14941 (Git)
Build type: Release
Branch: master
Hash: 64e9c4ea5abd3e116f0d3cea1bb72595ac36a1e3
Python version: 3.6.5
Qt version: 5.11.1
Coin version: 4.0.0a
OCC version: 6.9.1.oce-0.18
Locale: German/Germany (de_DE)

Kunda1

2018-10-12 11:59

administrator   ~0012008

@sliptonic care to weigh in ?

sliptonic

2018-10-12 15:50

developer   ~0012011

I can't duplicate the problem, either the tool creation or icon sizing. Here's my version info.

In your attached image, the icons are visible. Is that after your patch? What screen resolution are you using?

OS: Linux Mint 18 Sarah
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14967 (Git)
Build type: Unknown
Branch: master
Hash: f6e9faa62c45a9fc8a9f977235abed139c31ab9a
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

floppy

2018-10-12 18:22

reporter   ~0012013

Hey sliptonic, my screen resolution is 1920x1080.
It's also possible, that I to something wrong when I create a new tool.
But here is the Tool Editor without any changes.

Tool Editor.png (120,389 bytes)
Tool Editor.png (120,389 bytes)

floppy

2018-10-12 20:38

reporter   ~0012015

This is my console output when I try to add a tool:
<Main> Tool Default tool None
Traceback (most recent call last):
  File "/usr/lib64/freecad/Mod/Path/PathScripts/PathToolLibraryManager.py", line 448, in addTool
    if self.TLM.addnew(listname, editor.Tool) is True:
  File "/usr/lib64/freecad/Mod/Path/PathScripts/PathToolLibraryManager.py", line 331, in addnew
    newID = tt.Tools.keys()[-1]
TypeError: 'dict_keys' object does not support indexing
 'dict_keys' object does not support indexing

Kunda1

2018-10-19 13:23

administrator   ~0012068

@floppy please make a forum thread about this ticket so the rest of the community can test and give feedback

floppy

2018-10-22 07:51

reporter   ~0012082

My problem was Python 3.6. When I switched to Python 2.7, there are no problems creating new tools. (Only the image size in the dialog is still too large)

Kunda1

2018-10-23 10:13

administrator   ~0012086

In that case, making this issue s child of 0000995

mlampert

2019-01-22 02:33

developer   ~0012479

Image size fixed with commit 381f087

Tool creation fixed with commit cd1ebb17

Kunda1

2019-01-22 23:46

administrator   ~0012495

@mlampert can we close this ticket?

Issue History

Date Modified Username Field Change
2018-10-10 13:28 floppy New Issue
2018-10-10 13:28 floppy Tag Attached: Path
2018-10-10 13:28 floppy File Added: Freecad Tool Editor.png
2018-10-10 14:55 Kunda1 Note Added: 0011991
2018-10-10 19:50 floppy Note Added: 0012000
2018-10-10 23:11 Kunda1 Category Bug => Patch
2018-10-10 23:11 Kunda1 Steps to Reproduce Updated View Revisions
2018-10-10 23:11 Kunda1 Additional Information Updated View Revisions
2018-10-12 11:59 Kunda1 Note Added: 0012008
2018-10-12 15:50 sliptonic Note Added: 0012011
2018-10-12 18:22 floppy File Added: Tool Editor.png
2018-10-12 18:22 floppy Note Added: 0012013
2018-10-12 20:38 floppy Note Added: 0012015
2018-10-13 12:31 Kunda1 Assigned To => sliptonic
2018-10-13 12:31 Kunda1 Status new => assigned
2018-10-19 13:23 Kunda1 Status assigned => feedback
2018-10-19 13:23 Kunda1 Note Added: 0012068
2018-10-22 07:51 floppy Note Added: 0012082
2018-10-22 07:51 floppy Status feedback => assigned
2018-10-23 10:13 Kunda1 Note Added: 0012086
2018-10-23 10:14 Kunda1 Relationship added child of 0000995
2018-10-23 10:16 Kunda1 Tag Attached: python
2019-01-22 02:33 mlampert Status assigned => resolved
2019-01-22 02:33 mlampert Resolution open => fixed
2019-01-22 02:33 mlampert Fixed in Version => 0.18
2019-01-22 02:33 mlampert Note Added: 0012479
2019-01-22 23:46 Kunda1 Note Added: 0012495
2019-01-23 03:45 mlampert Status resolved => closed